> For the complete documentation index, see [llms.txt](https://docs.unsub.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unsub.org/troubleshooting/about-unsub/unsub-and-open-source.md).

# Unsub and Open Source

We'd like to clarify two issues related to Unsub and open source.

### Open Source but not Open Contribution <a href="#h_29cc10eeae" id="h_29cc10eeae"></a>

Unsub does not take contributions from outside contributors. We are a small team and it takes time to manage community contributions. We are however always eager to hear user feature requests and bug reports to improve the product.

The creator of the database BoltDB has [an explanation](https://github.com/benbjohnson/litestream#open-source-not-open-contribution) of why his newer project litestream is open source BUT not open contribution.

### Open Source but cannot be self-hosted <a href="#h_761717ed48" id="h_761717ed48"></a>

Many open source projects can be run by anyone, anywhere (server, local machine, etc.) - anyone can get the same outcome running it on their own as the owners of the project. So why would a project be open source but not be able to be self-hosted?

For Unsub, there is a significant component of user supplied data, as well as data curated in house, making it only possible to operate as a hosted application.

This situation is similar to those projects that are [source-available](https://en.wikipedia.org/wiki/Source-available_software).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.unsub.org/troubleshooting/about-unsub/unsub-and-open-source.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
